Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0050305
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Retail Modules] Web POSmajoralways2022-09-21 17:562022-09-23 15:10
ReporteraaroncaleroView Statuspublic 
Assigned Toalainperez 
PrioritynormalResolutionopenFixed in Version
StatusnewFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget Version
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned To
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0050305: Payment Methods for Refunds: originalReceiptPayments replaced after adding several verified return lines

DescriptionUsing the Payment Method for Refunds functionality, the originalReceiptPayments object is used to track the payment method(s) used in the original receipt when doing a verified return.

When adding verified return lines from different original tickets, the originalReceiptPayments property is replaced by information of the most recent line.
Steps To ReproduceLog in backoffice, go to the Channel - Touchpoint Type window and configure the Payment Method for Refunds functionality:
* Add Cash as the PM for Refund for Cash
* Add Card as the PM for Refund for Card

Log in Webpos and create two different tickets:
One with a single product and paid totally in Cash
A second ticket with a single product and paid totally in Card.

In a new ticket, go to the menu > Verified Returns and return the first ticket.
Verify that the originalReceiptPayments property contains the Cash payment method.
Go again to menu > Verified returns and return the second ticket.
Verify again the originalReceiptPayments property and notice that it now contains only Card.
Proposed SolutionTo keep the functionality consistent with what happens to originalReceiptPayments when paying the original order with multiple payment methods, when adding several verified return lines the originalReceiptPayments object should merge all payment methods.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0141323)
hgbot (developer)
2022-09-23 14:57

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.posterminal/-/merge_requests/929 [^]
(0141324)
hgbot (developer)
2022-09-23 15:07

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.returns/-/merge_requests/42 [^]
(0141325)
hgbot (developer)
2022-09-23 15:09

Merge request closed: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.returns/-/merge_requests/42 [^]
(0141326)
hgbot (developer)
2022-09-23 15:10

Merge Request created: https://gitlab.com/openbravo/product/pmods/org.openbravo.retail.returns/-/merge_requests/43 [^]

- Issue History
Date Modified Username Field Change
2022-09-21 17:56 aaroncalero New Issue
2022-09-21 17:56 aaroncalero Assigned To => Retail
2022-09-21 17:56 aaroncalero Triggers an Emergency Pack => No
2022-09-22 12:19 aaroncalero Assigned To Retail => alainperez
2022-09-23 14:57 hgbot Note Added: 0141323
2022-09-23 15:07 hgbot Note Added: 0141324
2022-09-23 15:09 hgbot Note Added: 0141325
2022-09-23 15:10 hgbot Note Added: 0141326


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker